<!-- IGAC proyecto SNC -->
<!-- 
    @author 		david.cifuentes 
    @description  	Página en la que se visualiza el reporte de solicitud de digitalización 
                    de nomenclatura vial o de perímentro urbano, y en la cúal está ubicado 
                    el botón radicar.
-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui"
        id="oficioSolicitudDigitalizaconForm" prependId="false"
        onkeypress="return event.keyCode != 13;">

    <h:panelGrid columns="1" width="100%" id="oficioSolicitudDigitalizacon">
        <p:fieldset>
            <h:panelGrid columns="2" width="100%">

                <h:panelGrid columns="1">
                    <embed src="#{managedBeanParam.urlArchivo}"
                           width="600" height="400" />
                </h:panelGrid>
                <h:panelGrid columns="1">

                    <h:panelGrid columns="1">

                        <p:messages id="msgOficio" showDetail="false" globalOnly="false" />

                        <p:spacer height="100" width="0" />
                        <h:panelGrid columns="1" width="100%">

                            <p:commandButton value="Radicar" id="radicarBtn"
                                             icon="ui-icon-pin-w"
                                             title="Confirmar radicación y avance del proceso"
                                             label="Confirmar radicación y avance del proceso" ajax="false"
                                             onstart="statusDialog2.show();"
                                             style="width:80px;height:25px;"
                                             oncomplete="statusDialog2.hide();oficioSolicitudDigitalizacionWV.hide();"
                                             action="#{managedBeanParam.radicar}" />

                            <p:commandButton value="Imprimir" id="imprimirBtn" ajax="false"
                                             style="width:80px;height:25px;" icon="ui-icon ui-icon-print"
                                             immediate="true">
                                <p:fileDownload
                                    value="#{managedBeanParam.reporteOficioDeDigitalizacionDeSolicitud}" />
                            </p:commandButton>

                            <p:commandButton value="Cerrar" title="Cierra esta ventana"
                                             style="width:80px;height:25px;"
                                             oncomplete="oficioSolicitudDigitalizacionWV.hide()"
                                             icon="ui-icon-close" />

                        </h:panelGrid>
                    </h:panelGrid>
                </h:panelGrid>
            </h:panelGrid>
        </p:fieldset>
    </h:panelGrid>
</h:form>